Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QImageIOHandler.ImageOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QImageIOHandler.ImageOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QImageIOHandler

    public static final class QImageIOHandler.ImageOption

extends java.lang.Enum
implements QtEnumerator

This enum describes the different options supported by `QImageIOHandler`. Some options are used to query an image for properties, and others are used to toggle the way in which an image should be written.

See Also:
  Serialized Form

Field Summary
`static QImageIOHandler.ImageOption` | `Animation` Image formats that support animation return true for this value in `supportsOption()`; otherwise, false is returned.
`static QImageIOHandler.ImageOption` | `BackgroundColor` Certain image formats allow the background color to be specified.
`static QImageIOHandler.ImageOption` | `ClipRect` The clip rect, or ROI (Region Of Interest).
`static QImageIOHandler.ImageOption` | `CompressionRatio` The compression ratio of the image data.
`static QImageIOHandler.ImageOption` | `Description` The image description.
`static QImageIOHandler.ImageOption` | `Endianness` The endianness of the image.
`static QImageIOHandler.ImageOption` | `Gamma` The gamma level of the image.
`static QImageIOHandler.ImageOption` | `IncrementalReading` A handler that supports this option is expected to read the image in several passes, as if it was an animation.
`static QImageIOHandler.ImageOption` | `Name` The name of the image.
`static QImageIOHandler.ImageOption` | `Quality` The quality level of the image.
`static QImageIOHandler.ImageOption` | `ScaledClipRect` The scaled clip rect (or ROI, Region Of Interest) of the image.
`static QImageIOHandler.ImageOption` | `ScaledSize` The scaled size of the image.
`static QImageIOHandler.ImageOption` | `Size` The original size of an image.
`static QImageIOHandler.ImageOption` | `SubType` The subtype of the image.

Method Summary
`static QImageIOHandler.ImageOption` | `resolve(int value)` Returns the QImageIOHandler$ImageOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImageIOHandler.ImageOption` | `valueOf(java.lang.String name)`
`static QImageIOHandler.ImageOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Size

    public static final QImageIOHandler.ImageOption Size

  The original size of an image. A handler that supports this option is expected to read the size of the image from the image metadata, and return this size from `option()` as a `QSize`.

### ClipRect

    public static final QImageIOHandler.ImageOption ClipRect

  The clip rect, or ROI (Region Of Interest). A handler that supports this option is expected to only read the provided `QRect` area from the original image in `read()`, before any other transformation is applied.

### Description

    public static final QImageIOHandler.ImageOption Description

  The image description. Some image formats, such as GIF and PNG, allow embedding of text or comments into the image data (e.g., for storing copyright information). It's common that the text is stored in key-value pairs, but some formats store all text in one continuous block. `QImageIOHandler` returns the text as one QString, where keys and values are separated by a ':', and keys-value pairs are separated by two newlines (\n\n). For example, "Title: Sunset\n\nAuthor: Jim Smith\nSarah Jones\n\n". Formats that store text in a single block can use "Description" as the key.

### ScaledClipRect

    public static final QImageIOHandler.ImageOption ScaledClipRect

  The scaled clip rect (or ROI, Region Of Interest) of the image. A handler that supports this option is expected to apply the provided clip rect (a `QRect`), after applying any scaling (ScaleSize) or regular clipping (`ClipRect` ). If the handler does not support this option, `QImageReader` will apply the scaled clip rect after the image has been read.

### ScaledSize

    public static final QImageIOHandler.ImageOption ScaledSize

  The scaled size of the image. A handler that supports this option is expected to scale the image to the provided size (a `QSize`), after applying any clip rect transformation (`ClipRect` ). If the handler does not support this option, `QImageReader` will perform the scaling after the image has been read.

### CompressionRatio

    public static final QImageIOHandler.ImageOption CompressionRatio

  The compression ratio of the image data. A handler that supports this option is expected to set its compression rate depending on the value of this option (an int) when writing.

### Gamma

    public static final QImageIOHandler.ImageOption Gamma

  The gamma level of the image. A handler that supports this option is expected to set the image gamma level depending on the value of this option (a float) when writing.

### Quality

    public static final QImageIOHandler.ImageOption Quality

  The quality level of the image. A handler that supports this option is expected to set the image quality level depending on the value of this option (an int) when writing.

### Name

    public static final QImageIOHandler.ImageOption Name

  The name of the image. A handler that supports this option is expected to read the name from the image metadata and return this as a QString, or when writing an image it is expected to store the name in the image metadata.

### SubType

    public static final QImageIOHandler.ImageOption SubType

  The subtype of the image. A handler that supports this option can use the subtype value to help when reading and writing images. For example, a PPM handler may have a subtype value of "ppm" or "ppmraw".

### IncrementalReading

    public static final QImageIOHandler.ImageOption IncrementalReading

  A handler that supports this option is expected to read the image in several passes, as if it was an animation. `QImageReader` will treat the image as an animation.

### Endianness

    public static final QImageIOHandler.ImageOption Endianness

  The endianness of the image. Certain image formats can be stored as BigEndian or LittleEndian. A handler that supports Endianness uses the value of this option to determine how the image should be stored.

### Animation

    public static final QImageIOHandler.ImageOption Animation

  Image formats that support animation return true for this value in `supportsOption()`; otherwise, false is returned.

### BackgroundColor

    public static final QImageIOHandler.ImageOption BackgroundColor

  Certain image formats allow the background color to be specified. A handler that supports `BackgroundColor` initializes the background color to this option (a `QColor`) when reading an image.

Method Detail

### values

    public static QImageIOHandler.ImageOption[] values()

### valueOf

    public static QImageIOHandler.ImageOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QImageIOHandler.ImageOption resolve(int value)

  Returns the QImageIOHandler$ImageOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD